Bug 1085230 - perl-Starlet-0.21-1.fc21 FTBFS
Summary: perl-Starlet-0.21-1.fc21 FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Starlet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-08 07:23 UTC by Petr Pisar
Modified: 2014-04-23 04:34 UTC (History)
2 users (show)

Fixed In Version: perl-Starlet-0.21-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 08:01:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2014-04-08 07:23:10 UTC
perl-Plack-Middleware-ReverseProxy-0.15-4.fc21 fails to build due to tests in F21 and F20:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
start_server (pid:10975) starting now...
starting new worker 10976
Plack::Handler::Starlet: Accepting connections at http://0:50555/
127.0.0.1 - - [07/Apr/2014:17:04:24 +0200] "GET / HTTP/1.1" 200 5 "-" "libwww-perl/6.05"
received TERM, sending TERM to all workers:10976
worker 10976 died, status:0
exiting
t/00base.t ................. ok
Can't locate Plack/Test/Suite.pm in @INC (you may need to install the Plack::Test::Suite module) (@INC contains: /builddir/build/BUILD/Starlet-0.21/inc /builddir/build/BUILD/Starlet-0.
21/blib/lib /builddir/build/BUILD/Starlet-0.21/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/s
hare/perl5 .) at t/01plack-test.t line 3.
BEGIN failed--compilation aborted at t/01plack-test.t line 3.
t/01plack-test.t ........... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
Can't locate Plack/Test.pm in @INC (you may need to install the Plack::Test module) (@INC contains: /builddir/build/BUILD/Starlet-0.21/inc /builddir/build/BUILD/Starlet-0.21/blib/lib /
builddir/build/BUILD/Starlet-0.21/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .)
 at t/02graceful.t line 5.
BEGIN failed--compilation aborted at t/02graceful.t line 5.
t/02graceful.t ............. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
10995 at t/03post.t line 9.
Plack::Handler::Starlet: Accepting connections at http://0:50425/
127.0.0.1 - - [07/Apr/2014:17:04:25 +0200] "POST / HTTP/1.1" 200 3 "-" "libwww-perl/6.05"
t/03post.t ................. ok
t/04-bumpy-life.t .......... ok
t/05server-header.t ........ ok
Can't locate Plack/Test.pm in @INC (you may need to install the Plack::Test module) (@INC contains: /builddir/build/BUILD/Starlet-0.21/inc /builddir/build/BUILD/Starlet-0.21/blib/lib /
builddir/build/BUILD/Starlet-0.21/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .)
 at t/06harakiri.t line 5.
BEGIN failed--compilation aborted at t/06harakiri.t line 5.
t/06harakiri.t ............. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/07remote_port.t .......... ok
Can't locate Plack/Test.pm in @INC (you may need to install the Plack::Test module) (@INC contains: /builddir/build/BUILD/Starlet-0.21/inc /builddir/build/BUILD/Starlet-0.21/blib/lib /builddir/build/BUILD/Starlet-0.21/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at t/08chunked_req.t line 3.
BEGIN failed--compilation aborted at t/08chunked_req.t line 3.
t/08chunked_req.t .......... 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
Can't locate Plack/Test.pm in @INC (you may need to install the Plack::Test module) (@INC contains: /builddir/build/BUILD/Starlet-0.21/inc /builddir/build/BUILD/Starlet-0.21/blib/lib /builddir/build/BUILD/Starlet-0.21/blib/arch /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at t/09chunked_zero_length.t line 3.
BEGIN failed--compilation aborted at t/09chunked_zero_length.t line 3.
t/09chunked_zero_length.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/10unix_domain_socket.t ... ok
Test Summary Report
-------------------
t/01plack-test.t         (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/02graceful.t           (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/06harakiri.t           (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/08chunked_req.t        (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/09chunked_zero_length.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=11, Tests=18,  6 wallclock secs ( 0.05 usr  0.01 sys +  1.28 cusr  0.26 csys =  1.60 CPU)
Result: FAIL
Failed 5/11 test programs. 0/18 subtests failed.

This looks like a missing declaration of dependencies on Plack::Test and Plack::Test::Suite.

Comment 1 Petr Pisar 2014-04-08 07:31:49 UTC
This is about perl-Starlet-0.21-1.fc21.

Comment 2 Fedora Update System 2014-04-09 08:00:33 UTC
perl-Starlet-0.21-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Starlet-0.21-2.fc20

Comment 3 Fedora Update System 2014-04-09 08:00:43 UTC
perl-Starlet-0.21-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Starlet-0.21-2.fc19

Comment 4 Ralf Corsepius 2014-04-09 08:01:36 UTC
Fixed in *-0.21-2.fc21.

Comment 5 Fedora Update System 2014-04-23 04:32:00 UTC
perl-Starlet-0.21-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-23 04:34:58 UTC
perl-Starlet-0.21-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.